com.tibbo.aggregate.common.filter

## Interface Expression

- All Known Implementing Classes:
    AbstractBaseBinaryOperation, AbstractBooleanBinaryOperation, AbstractCompareOperation, AbstractEqualsOperation, BeginWithFunctionOperation, BinaryOperation, BinaryStringOperation, BooleanLiteral, CheckDateFunctionOperation, ColumnFunctionOperation, ColumnName, CompareDateFunctionOperation, Constant, Contains, ContainsExFunctionOperation, ContainsFunctionOperation, DoesNotBeginWithOperation, DoesNotEndWithOperation, DoesNotEqualOperation, EndsWithFunctionOperation, EqualsOperation, FunctionOperation, GreaterOrEqualThanOperation, GreaterThanOperation, Identifier, InFunctionOperation, IsNotNullFunctionOperation, IsNullFunctionOperation, LastDaysFunctionOperation, LastHoursFunctionOperation, LastMonthsFunctionOperation, LastNextPeriodFunctionOperation, LastWeeksFunctionOperation, LastYearsFunctionOperation, LessOrEqualThanOperation, LessThanOperation, Literal, LogicalAndOperation, LogicalNotOperation, LogicalOrOperation, NextDaysFunctionOperation, NextHoursFunctionOperation, NextMonthsFunctionOperation, NextWeeksFunctionOperation, NextYearsFunctionOperation, NullLiteral, NumberLiteral, OnAfterFunctionOperation, OnBeforeFunctionOperation, OnFunctionOperation, Operation, StringLiteral, SubstringFunctionOperation, ThisHourFunctionOperation, ThisMonthFunctionOperation, ThisWeekFunctionOperation, ThisYearFunctionOperation, TodayFunctionOperation, TomorrowFunctionOperation, UnaryOperation, WrappingFunction, YesterdayFunctionOperation

      public interface Expression

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `evaluate()`
    `Expression[]` | `getChildren()`
    `java.lang.String` | `getDescription()`
    `int` | `getPriority()`

- - ### Method Detail

    - #### evaluate

          java.lang.Object evaluate()

    - #### getChildren

          Expression[] getChildren()

    - #### getPriority

          int getPriority()

    - #### getDescription

          java.lang.String getDescription()